Subject: Re: [mpls] MPLS-RT review of draft-bryant-mpls-sfl-framework

From: Stewart Bryant <[email-masked]>
Date: Thu, 4 May 2017 14:22:56 +0100

On 27/04/2017 15:13, Andrew G. Malis wrote:
> Authors and WG,
>
> I have been selected as a pre-adoption MPLS Review Team reviewer for 
> draft-bryant-mpls-sfl-framework.
>
> While not really necessary for WG adoption, I note that idnits runs clean.
>
> The draft is short and straightforward. My only comment on the content 
> is that it may be useful to note that in some router implementations, 
> the use of a synonymous label may, depending on triggered action, 
> force a packet from an internal fast path to an internal slow path.

Yes, but you would know that was the case and might refuse the SL setup 
request.

> In such cases, it may be useful to limit the use of a synonymous label 
> to a fraction of those on a particular LSP or PW. However, as noted in 
> section 4, this may lead to ECMP interactions unless an Entropy Label 
> is also used. It may also lead to out-of-order packets on a PW.

In the PW (or VPN) case the text in section 4 addresses the problem.

>
> Regardless of this comment, I feel that this draft is ready for WG 
> adoption, and does not need to be updated prior to adoption.
>
Thank you.

Stewart
> Cheers,
> Andy

---

From: Huub van Helvoort <[email-masked]>
Date: Fri, 5 May 2017 13:17:59 +0200

Hello authors and WG,

I am an MPLS-RT reviewer assigned to review draft-bryant-mpls-sfl-framework.

The document is short and coherent, it may be useful.

The only comment I have is regarding the text in the first paragraph
of section 4.
I had to read it several times before I understood what it means.
this can be fixed prior to adaption as WG document.

Best regards, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...